Package com.evopdf

# Class PdfFormAutoFieldStyle

java.lang.Object
com.evopdf.PdfFormAutoFieldStyle

public class PdfFormAutoFieldStyle extends Object
This class offers the necessary properties and methods to control the style of the automatically generated PDF form fields

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormAutoFieldStyle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RgbColor`
  `backColor()`
  Gets the form field background color in an automatically generated PDF form
  `RgbColor`
  `borderColor()`
  Gets the form field border color in an automatically generated PDF form
  `PdfBorderStyle`
  `borderStyle()`
  Gets the form field border style in an automatically generated PDF form
  `boolean`
  `export()`
  Gets the flag indicating if the field is exported by a submit form action
  `boolean`
  `flatten()`
  Gets the flag indicating if the form field is flattened
  `PdfFont`
  `font()`
  Gets the PDF form fields font
  `RgbColor`
  `foreColor()`
  Gets the form field fore color in an automatically generated PDF form
  `boolean`
  `readOnly()`
  Gets the flag indicating if the field is read only
  `boolean`
  `required()`
  Gets the flag indicating if the field should have a value at the time it is exported by a submit form action
  `void`
  `setBackColor(RgbColor backColor)`
  Sets the form field background color in an automatically generated PDF form
  `void`
  `setBorderColor(RgbColor borderColor)`
  Sets the form field border color in an automatically generated PDF form
  `void`
  `setBorderStyle(PdfBorderStyle borderStyle)`
  Sets the form field border style in an automatically generated PDF form
  `void`
  `setExport(boolean export)`
  Sets the flag indicating if the field is exported by a submit form action
  `void`
  `setFlatten(boolean flatten)`
  Sets flag indicating if the form field is flattened.
  `void`
  `setFont(PdfFont pdfFont)`
  Sets the PDF form fields font
  `void`
  `setForeColor(RgbColor foreColor)`
  Sets the form field fore color in an automatically generated PDF form
  `void`
  `setReadOnly(boolean readOnly)`
  Sets flag indicating if the field is read only.
  `void`
  `setRequired(boolean required)`
  Sets flag indicating if the field should have a value at the time it is exported by a submit form action.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfFormAutoFieldStyle

    public PdfFormAutoFieldStyle()

- ## Method Details

  - ### borderStyle

    public PdfBorderStyle borderStyle()
    Gets the form field border style in an automatically generated PDF form
    Returns:
      the form field border style in an automatically generated PDF form

  - ### setBorderStyle

    public void setBorderStyle(PdfBorderStyle borderStyle)
    Sets the form field border style in an automatically generated PDF form
    Parameters:
      `borderStyle` - the form field border style in an automatically generated PDF form

  - ### backColor

    public RgbColor backColor()
    Gets the form field background color in an automatically generated PDF form
    Returns:
      the form field background color in an automatically generated PDF form

  - ### setBackColor

    public void setBackColor(RgbColor backColor)
    Sets the form field background color in an automatically generated PDF form
    Parameters:
      `backColor` - the form field background color to set

  - ### foreColor

    public RgbColor foreColor()
    Gets the form field fore color in an automatically generated PDF form
    Returns:
      the form field fore color in an automatically generated PDF form

  - ### setForeColor

    public void setForeColor(RgbColor foreColor)
    Sets the form field fore color in an automatically generated PDF form
    Parameters:
      `foreColor` - the form field fore color to set

  - ### borderColor

    public RgbColor borderColor()
    Gets the form field border color in an automatically generated PDF form
    Returns:
      the form field border color in an automatically generated PDF form

  - ### setBorderColor

    public void setBorderColor(RgbColor borderColor)
    Sets the form field border color in an automatically generated PDF form
    Parameters:
      `borderColor` - the form field border color to set

  - ### font

    public PdfFont font()
    Gets the PDF form fields font
    Returns:
      the PDF form fields font

  - ### setFont

    public void setFont(PdfFont pdfFont)
    Sets the PDF form fields font
    Parameters:
      `pdfFont` - the PDF form fields font to set

  - ### flatten

    public boolean flatten()
    Gets the flag indicating if the form field is flattened
    Returns:
      the flag value

  - ### setFlatten

    public void setFlatten(boolean flatten)
    Sets flag indicating if the form field is flattened. The default value of the property is false
    Parameters:
      `flatten` - the flag value to set

  - ### readOnly

    public boolean readOnly()
    Gets the flag indicating if the field is read only
    Returns:
      the flag value

  - ### setReadOnly

    public void setReadOnly(boolean readOnly)
    Sets flag indicating if the field is read only. The default value of the property is false
    Parameters:
      `readOnly` - the flag value to set

  - ### required

    public boolean required()
    Gets the flag indicating if the field should have a value at the time it is exported by a submit form action
    Returns:
      the flag value

  - ### setRequired

    public void setRequired(boolean required)
    Sets flag indicating if the field should have a value at the time it is exported by a submit form action. The default value of the property is false
    Parameters:
      `required` - the flag value to set

  - ### export

    public boolean export()
    Gets the flag indicating if the field is exported by a submit form action
    Returns:
      the flag value

  - ### setExport

    public void setExport(boolean export)
    Sets the flag indicating if the field is exported by a submit form action
    Parameters:
      `export` - the flag value to set